> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Register User

> Create a User. The endpoint also creates an Account, Team, and vector store
configs associated with the user.



## OpenAPI

````yaml post /v2/users/register
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/users/register:
    post:
      tags:
        - user
      summary: Register User
      description: >-
        Create a User. The endpoint also creates an Account, Team, and vector
        store

        configs associated with the user.
      operationId: register_user_v2_users_register_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserAccountRegistration'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Register User V2 Users Register Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserAccountRegistration:
      properties:
        type:
          type: string
          title: Type
        provider:
          type: string
          title: Provider
        provider_account_id:
          type: string
          title: Provider Account Id
        refresh_token:
          type: string
          title: Refresh Token
        access_token:
          type: string
          title: Access Token
        expires_at:
          type: integer
          title: Expires At
        id_token:
          type: string
          title: Id Token
        scope:
          type: string
          title: Scope
        session_state:
          type: string
          title: Session State
        token_type:
          type: string
          title: Token Type
        email:
          type: string
          title: Email
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        slackCode:
          type: string
          title: Slackcode
        name:
          type: string
          title: Name
      type: object
      required:
        - type
        - provider
        - provider_account_id
        - email
        - name
      title: UserAccountRegistration
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````